Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.5 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Installation Apache::SOAP module perl impossible

Bonjour,

Je tente d'installer OCSNG server sur l'OS Ubuntu 16.04.1 LTS.

J'ai réussi à installer l'ensemble des modules hormis Apache::SOAP.

J'ai essayé l'installation avec CPAN i /Apache::SOAP/ : ok.

Mais toujours la même erreur lors de l'exécution ./setup.sh :

Avez-vous une piste pour installer ce module, svp ?

D'avance merci

sam

asked in OCS Inventory NG server for Unix by (160 points)

4 Answers

0 votes
Bonjour,

Pouvez-vous essayer d'installer Apache2::SOAP ?

cpan install Apache2::SOAP
answered by (6.9k points)
0 votes
Bonjour,

J'ai exécuté la commande est voici le résultat :

root@ocsng-v2:~# cpan install Apache2::SOAP
Reading '/home/sam/.cpan/Metadata'
  Database was generated on Sun, 04 Sep 2016 22:53:33 GMT
Running install for module 'Apache2::SOAP'
Running make for R/RK/RKOBES/Apache2-SOAP-0.73.tar.gz
Fetching with LWP:
http://linorg.usp.br/CPAN/authors/id/R/RK/RKOBES/Apache2-SOAP-0.73.tar.gz
Fetching with LWP:
http://linorg.usp.br/CPAN/authors/id/R/RK/RKOBES/CHECKSUMS
Checksum for /home/sam/.cpan/sources/authors/id/R/RK/RKOBES/Apache2-SOAP-0.73.tar.gz ok

  CPAN.pm: Building R/RK/RKOBES/Apache2-SOAP-0.73.tar.gz

[   info] generating script t/TEST
Can't find the mod_perl include dir (reason: path /usr/include/apache2 doesn't exist) at /usr/lib/perl5/Apache2/Build.pm line 2101.
Warning: No success on command[/usr/bin/perl Makefile.PL INSTALLDIRS=site]
'YAML' not installed, will not store persistent state
  RKOBES/Apache2-SOAP-0.73.tar.gz
  /usr/bin/perl Makefile.PL INSTALLDIRS=site -- NOT OK
Running make test
  Make had some problems, won't test
Running make install
  Make had some problems, won't install
Could not read metadata file. Falling back to other methods to determine prerequisites

Avez-vous idée d'où provient le pb, svp ?
answered by (160 points)
0 votes
Bonjour,

Ce module n'est nécessaire que si vous avez prévu de requêter le serveur OCS via SOAP. Si ce n'est pas le cas l'absence du module générera un message d'erreur dans le fichier error_log d'apache (seulement au démarrage d'apache).

Cordialement

Frank
answered by (66.5k points)
0 votes
C'est un vieux sujet, mais j'ai aussi rencontré ce problème.

Je l'ai résolu en installant le paquet apache2-dev

apt-get install apache2-dev
answered by (140 points)
 
Powered by Question2Answer
...